ASP源码.NET源码PHP源码JSP源码JAVA源码DELPHI源码PB源码VC源码VB源码Android源码
当前位置:首页 >> 网络编程 >> Ruby教程 >> je 一、Github博客搭建之jekyll安装

je 一、Github博客搭建之jekyll安装(1/2)

来源:网络整理     时间:2017-08-14     关键词:je

本篇文章主要介绍了"je 一、Github博客搭建之jekyll安装",主要涉及到je方面的内容,对于Ruby教程感兴趣的同学可以参考一下: 注意:以下步骤是FQ后操作的,需要了解FQ的可以移步 -> 枫叶主机一、安装jekyll需要Ruby-2.1.0以上版本,本人是mac pro系统版本10...

注意:以下步骤是FQ后操作的,需要了解FQ的可以移步 -> 枫叶主机 一、Github博客搭建之jekyll安装

一、安装jekyll需要Ruby-2.1.0以上版本,本人是mac pro系统版本10.12.5(macOS Sierra),系统内置的Ruby是2.0.0。

  1、安装RVM

    RVM: Ruby Version Manager, Ruby的版本管理器,包括Ruby的版本管理和Gem库管理(gemset);

     $ curl -L get.rvm.io | bash -s stable

  2、验证是否安装成功

   $ source ~/.bashrc

   $ source ~/.bash_profile

二、安装home-brew(切记先安装home-brew,再安装ruby!!)

/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"

三、安装Ruby

  1、查看当前版本

youcanpingdeMacBook-Pro:~ issuser$ ruby -v
ruby 2.0.0p648 (2015-12-16 revision 53162) [universal.x86_64-darwin16]

  2、查看rvm中的ruby可以升级的版本

youcanpingdeMacBook-Pro:~ issuser$ rvm list known
# MRI Rubies[ruby-]1.8.6[-p420]
[ruby-]1.8.7[-head] # security released on head[ruby-]1.9.1[-p431]
[ruby-]1.9.2[-p330]
[ruby-]1.9.3[-p551]
[ruby-]2.0.0[-p648]
[ruby-]2.1[.10]
[ruby-]2.2[.7]
[ruby-]2.3[.4]
[ruby-]2.4[.1]
ruby-head

  3、我升级Ruby到最新用ruby-head,安装过程中会安装需要的依赖包。

je相关图片

je相关文章